Auth
Auth Password Update
Given the requesting account has a password authentication, update the password on file.
PATCH
Given the requesting account has a password authentication, update the password on file.
browsercookie
storyden-session<token>application/json- body
old*stringnew*stringOK
application/json- response
id*stringcurl -X PATCH 'https://example.com/api/auth/password' \ -H 'Content-Type: application/json' \ -d '{ "old": "string", "new": "string"}'Example Response
{ "id": "string"}Auth Password Signup POST
Register a new account with a username and password.
Auth Provider List GET
Retrieve a list of authentication providers. Storyden supports a few ways to authenticate, from simple passwords to OAuth and WebAuthn. This endpoint tells a client which auth capabilities are enabled.